> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Publicaciones con cita

> Obtén Publicaciones con cita de una Publicación específica

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

El endpoint Quote Posts le permite obtener Publicaciones que citan una Publicación específica. Vea cómo los usuarios comentan y comparten contenido.

<div id="overview">
  ## Descripción general
</div>

<CardGroup cols={2}>
  <Card title="Búsqueda de citas" icon="quote-right">
    Obtén todas las Publicaciones que citan una Publicación
  </Card>

  <Card title="Información sobre interacción" icon="chart-line">
    Consulta cómo se está hablando del contenido
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## Endpoint
</div>

| Method | Endpoint                                                         | Description                                     |
| :----- | :--------------------------------------------------------------- | :---------------------------------------------- |
| GET    | [`/2/tweets/:id/quote_tweets`](/es/x-api/posts/get-quoted-posts) | Obtener Publicaciones que citan una Publicación |

***

<div id="example-request">
  ## Ejemplo de solicitud
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/quote_tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## Ejemplo de respuesta
</div>

```json theme={null}
{
  "data": [
    {
      "id": "9876543210",
      "text": "Great point! This is exactly what we need.",
      "author_id": "1111111111",
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  ],
  "includes": {
    "users": [
      {
        "id": "1111111111",
        "username": "example_user"
      }
    ]
  },
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="getting-started">
  ## Primeros pasos
</div>

<Note>
  **Requisitos previos**

  * Una [cuenta de desarrollador](https://developer.x.com/en/portal/petition/essential/basic-info) aprobada
  * Un [Project and App](/es/resources/fundamentals/developer-apps) en la Consola de desarrollador
  * Las [keys and tokens](/es/resources/fundamentals/authentication) de tu App
</Note>

<CardGroup cols={2}>
  <Card title="Inicio rápido" icon="rocket" href="/es/x-api/posts/quote-tweets/quickstart">
    Obtén las Publicaciones que citan una Publicación
  </Card>

  <Card title="Referencia de la API" icon="code" href="/es/x-api/posts/quote-tweets-lookup">
    Documentación completa del endpoint
  </Card>
</CardGroup>
